=== utility/w90vdw/doc/Makefile ===
default:
	latex w90vdw.tex
	latex w90vdw.tex
	dvipdf w90vdw.dvi w90vdw.pdf

clean:
	rm -f w90vdw.log w90vdw.aux w90vdw.dvi

veryclean: clean
	rm -f w90vdw.pdf
