=== debian/changelog ===
wannier90 (3.0.0+ds-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:02:30 +0100

wannier90 (3.0.0+ds-4) unstable; urgency=medium

  * Forcing python3 for test drivers.

 -- Andrius Merkys <merkys@debian.org>  Tue, 31 Dec 2019 06:17:00 -0500

wannier90 (3.0.0+ds-3) unstable; urgency=medium

  * Adding a patch to skip flaky tests.

 -- Andrius Merkys <merkys@debian.org>  Mon, 30 Dec 2019 03:36:27 -0500

wannier90 (3.0.0+ds-2) unstable; urgency=medium

  * Improving debian/copyright.
  * Using full names in debian/copyright.
  * Build-depending on python3 instead of python.
  * Autopkgtest runner depends on python3.

 -- Andrius Merkys <merkys@debian.org>  Fri, 27 Dec 2019 04:01:27 -0500

wannier90 (3.0.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #578829)

 -- Andrius Merkys <merkys@debian.org>  Mon, 01 Apr 2019 01:55:26 -0400
