=== debian/control ===
Source: wannier90
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper (>= 12),
 gfortran,
 ghostscript,
 libblas-dev,
 liblapack-dev,
 python3,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
 texlive-plain-generic,
 texlive-publishers,
Standards-Version: 4.3.0
Homepage: http://www.wannier.org
Vcs-Git: https://salsa.debian.org/science-team/wannier90.git
Vcs-Browser: https://salsa.debian.org/science-team/wannier90

Package: wannier90
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: wannier90-data
Description: Maximally Localized Wannier Functions - executables
 Wannier90 is an electronic-structure software computing
 maximally-localized Wannier functions (MLWF). It works on top of other
 electronic-structure software, such as Abinit, FLEUR, and PwSCF.
 .
 This package provides Wannier90 executables.

Package: wannier90-data
Architecture: all
Depends:
 ${misc:Depends},
Description: Maximally Localized Wannier Functions - documentation and examples
 Wannier90 is an electronic-structure software computing
 maximally-localized Wannier functions (MLWF). It works on top of other
 electronic-structure software, such as Abinit, FLEUR, and PwSCF.
 .
 This package provides Wannier90 documentation, examples and a limited set of
 pseudo-potentials.
