=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/architecture.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export LIBDIR = /usr/lib/$(DEB_TARGET_MULTIARCH)
 
 %:
 	dh $@ --no-parallel
@@ -13,8 +16,11 @@
 override_dh_auto_build:
 	mkdir --parents utility/w90pov/obj
 	dh_auto_build -- all doc
-	(cd utility/w90pov/doc/; pdflatex w90pov.tex)
+	cd utility/w90pov/doc/ && FORCE_SOURCE_DATE=1 pdflatex w90pov.tex
 	make -C utility/w90vdw/doc
+
+override_dh_auto_install:
+	dh_auto_install -- LIBDIR=/usr/lib/$(DEB_TARGET_MULTIARCH)
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -38,7 +44,7 @@
 	rm -f utility/w90pov/doc/w90pov.out
 	rm -f utility/w90pov/doc/w90pov.pdf
 	rm -f utility/w90pov/doc/w90povNotes.bib
-	rm -f make.inc w90chk2chk.x
+	rm -f make.inc *.x libwannier.a
 	-test -e debian/test-suite.lst && find test-suite -type f | sort \
 		| comm -1 -3 debian/test-suite.lst - | xargs rm -f
 	rm -f debian/test-suite.lst
