=== src/Makefile ===
ROOTDIR=..

include ../Makefile
