=== debian/changelog ===
wannier90 (3.1.0+ds-4) unstable; urgency=medium

  * Making build reproducible by forcing source date for building w90pov.pdf.
  * Adding 'Rules-Requires-Root: no'.

 -- Andrius Merkys <merkys@debian.org>  Thu, 17 Sep 2020 03:04:45 -0400

wannier90 (3.1.0+ds-3) unstable; urgency=medium

  * Bumping debhelper-compat (no changes).

 -- Andrius Merkys <merkys@debian.org>  Tue, 21 Jul 2020 23:50:24 -0400

wannier90 (3.1.0+ds-2) unstable; urgency=medium

  [ Michael Banck ]
  * debian/control (libwannier90-dev): New package.
  * debian/patches/libwannier_makefile.patch: New patch, add Makefile support
    to install the static library into a configurable libdir and the Fortran90
    modules into /usr/include.
  * debian/rules (override_dh_auto_install): New target, overrides LIBDIR for
    the install target with the proper multiarch libdir.

  [ Andrius Merkys ]
  * Switching to debhelper-compat dependency.

 -- Andrius Merkys <merkys@debian.org>  Tue, 07 Jul 2020 03:43:38 -0400

wannier90 (3.1.0+ds-1) unstable; urgency=medium

  * New upstream version 3.1.0+ds
  * Refreshing patches.
  * Simplifying debian/wannier90.install.
  * Moving manpages to debian/man/.
  * Adding a manpage for w90spn2spn.x.1.
  * Improving the cleaning action.

 -- Andrius Merkys <merkys@debian.org>  Thu, 26 Mar 2020 03:27:13 -0400
