=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  gfortran,
  ghostscript,
  libblas-dev,
@@ -21,6 +21,7 @@
 Homepage: http://www.wannier.org
 Vcs-Git: https://salsa.debian.org/science-team/wannier90.git
 Vcs-Browser: https://salsa.debian.org/science-team/wannier90
+Rules-Requires-Root: no
 
 Package: wannier90
 Architecture: any
@@ -46,3 +47,15 @@
  .
  This package provides Wannier90 documentation, examples and a limited set of
  pseudo-potentials.
+
+Package: libwannier90-dev
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Maximally Localized Wannier Functions - development library
+ Wannier90 is an electronic-structure software computing
+ maximally-localized Wannier functions (MLWF). It works on top of other
+ electronic-structure software, such as Abinit, FLEUR, and PwSCF.
+ .
+ This package provides the Wannier90 static library.
