=== debian/tests/control ===
Tests: upstream
Depends:
 wannier90,
 python3,
