=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wannier90-$1.tar.gz%,repack,compression=xz,repacksuffix=+ds,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//" \
 https://github.com/wannier-developers/wannier90/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
